Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.jsp.wb
Class JSButtonBar

`java.lang.Object
oracle.jdeveloper.html.HTMLElement
oracle.jdeveloper.html.DHTMLElement
oracle.jdeveloper.html.DHTMLElementContainer
oracle.jdeveloper.html.HTMLScript
oracle.jdeveloper.html.DHTMLButtonBar
oracle.jdeveloper.jsp.wb.JSButtonBar`

All Implemented Interfaces:
  WebBean

public class JSButtonBar
extends DHTMLButtonBar
implements WebBean

Field Summary
`protected WebBeanImpl` | `webBean`

Fields inherited from class oracle.jdeveloper.html.DHTMLButtonBar
`buttonNames, name`

Fields inherited from class oracle.jdeveloper.html.HTMLScript
`version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, defaultNLSFormat, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`JSButtonBar()`
`JSButtonBar(java.lang.String name)`

Method Summary
`void` | `initialize(javax.servlet.jsp.PageContext page)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.jsp.JspWriter out)`
`void` | `initialize(javax.servlet.ServletContext appContext, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.io.PrintWriter out)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `internalInitialize()` Internal initialize.
`void` | `render()` Renders the Toolbar to the output stream of the JSP page's response.
`void` | `render(java.io.PrintWriter out)` This is the main entry point for rendering the HTML content.

Methods inherited from class oracle.jdeveloper.html.DHTMLButtonBar
`addButton, addElement, getName, renderContainerFooter, setName`

Methods inherited from class oracle.jdeveloper.html.HTMLScript
`addFunction, renderContainerHeader, setVersion`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, quote, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### webBean

    protected WebBeanImpl webBean

Constructor Detail

### JSButtonBar

    public JSButtonBar()

### JSButtonBar

    public JSButtonBar(java.lang.String name)

Method Detail

### initialize

    public void initialize(javax.servlet.ServletContext appContext,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           java.io.PrintWriter out)
                    throws java.lang.Exception

  Description copied from interface: `WebBean`
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Specified by:
    `initialize` in interface `WebBean`
  Parameters:
    `appContext` - the JSP page's ServletContext.
    `session` - the JSP page's HttpSession.
    `request` - the JSP page's HttpServletRequest.
    `response` - the JSP page's HttpServletResponse.
    `out` - the PrintWriter to render to.
  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(javax.servlet.jsp.PageContext page)
                    throws java.lang.Exception

  Description copied from interface: `WebBean`
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Specified by:
    `initialize` in interface `WebBean`
  Parameters:
    `page` - the JSP page's ServletContext.
  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           javax.servlet.jsp.JspWriter out)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from interface: `WebBean`
  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Specified by:
    `internalInitialize` in interface `WebBean`
  Throws:
    `java.lang.Exception`

### render

    public void render()
                throws java.lang.Exception

  Renders the Toolbar to the output stream of the JSP page's response.
  Specified by:
    `render` in interface `WebBean`
  Throws:
    `java.lang.Exception`

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  This is the main entry point for rendering the HTML content.
  Specified by:
    `render` in interface `WebBean`
  Overrides:
    `render` in class `DHTMLElementContainer`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.